export namespace IMAGE_ASPECTS {
    namespace card {
        let range: {
            height: number;
            width: number;
        }[];
        let sizes: string;
    }
    namespace responsiveCard {
        let range_1: {
            height: number;
            width: number;
        }[];
        export { range_1 as range };
        let sizes_1: string;
        export { sizes_1 as sizes };
    }
    namespace banner {
        let range_2: {
            height: number;
            width: number;
        }[];
        export { range_2 as range };
        let sizes_2: string;
        export { sizes_2 as sizes };
    }
    namespace feed {
        let range_3: {
            height: number;
            width: number;
        }[];
        export { range_3 as range };
        let sizes_3: string;
        export { sizes_3 as sizes };
    }
    namespace highlightSection {
        let range_4: {
            height: number;
            width: number;
        }[];
        export { range_4 as range };
        let sizes_4: string;
        export { sizes_4 as sizes };
    }
    namespace thumbnail {
        let range_5: {
            height: number;
            width: number;
        }[];
        export { range_5 as range };
        let sizes_5: string;
        export { sizes_5 as sizes };
    }
    namespace fallback {
        let range_6: {
            height: number;
            width: number;
        }[];
        export { range_6 as range };
        let sizes_6: string;
        export { sizes_6 as sizes };
    }
}
export function buildSourceParameters({ aspect: customAspect, range: customRange, sizes: customSizes, }: {
    aspect: any;
    range: any;
    sizes: any;
}): {
    range: any;
    sizes: any;
};
export function buildSourceSet({ format, range, url, query }: {
    format: any;
    range: any;
    url: any;
    query: any;
}): any;
